from repoze.what.predicates import Predicate


class is_site_admin(Predicate):
    message = 'You must be a site-admin to access this resource.'

    def evaluate(self, environ, credentials):
        try:
            if not environ['repoze.who.identity'].get('user').admin:
                self.unmet()
        except KeyError:
            self.unmet()
